Loading...
Searching...
No Matches
gtsam::Reshape< N, M, InOptions, M, N, InOptions > Struct Template Reference

## Detailed Description

template<int M, int N, int InOptions>
struct gtsam::Reshape< N, M, InOptions, M, N, InOptions >

Reshape specialization that does transpose.

## Static Public Member Functions

static ReshapedType | reshape (const Eigen::Matrix< double, M, N, InOptions > &in)

## Public Types

typedef Eigen::Matrix< double, M, N, InOptions >::ConstTransposeReturnType | ReshapedType

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/Matrix.h